Advisory Details

March 4th, 2019

(Pwn2Own) Samsung Galaxy S8 Shannon Stack-based Buffer Overflow Remote Code Execution Vulnerability

ZDI-18-1450
ZDI-CAN-5785

CVE ID CVE-2018-14319
CVSS SCORE 6.8, (AV:N/AC:M/Au:N/C:P/I:P/A:P)
AFFECTED VENDORS Samsung
AFFECTED PRODUCTS Galaxy S8
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Samsung Galaxy S8. User interaction is required to exploit this vulnerability in that the target must answer a phone call.

The specific flaw exists within the handling of Status Information Elements. The issue results from the lack of proper validation of the length of user-supplied data prior to copying it to a fixed-length, stack-based buffer. An attacker can leverage this vulnerability to execute code under the context of the baseband processor.

ADDITIONAL DETAILS


https://security.samsungmobile.com/securityUpdate.smsb -> 2018 -> August -> SVE-2018-11828: Buffer Overflow in Exynos Chipset Devices with Security Patch Level (SPL) of August 1st, 2018 or later will include the patch for this issue.


DISCLOSURE TIMELINE
  • 2018-04-25 - Vulnerability reported to vendor
  • 2019-03-04 - Coordinated public release of advisory
  • 2019-03-05 - Advisory Updated
CREDIT acez
BACK TO ADVISORIES